package com.csc.library.zeesecurity.api;

import java.util.List;
import java.util.stream.Collectors;

import com.csc.library.cdi.GetCdiInstance;
import com.csc.library.command.CommandObject;
import com.csc.library.request.CommandState;
import com.csc.library.utilities.MyLog;
import com.csc.library.zeesecurity.databean.entity.WorkShift;
import com.csc.library.zeesecurity.databean.manager.WorkShiftManager;
import com.csc.library.zeesecurity.model.ShiftWorkModel;
import com.csc.library.zeesecurity.request.ShiftWorkRequestModel;
import com.csc.library.zeesecurity.response.ShiftWorkResponseModel;

public class GetShiftWorkApi extends CommandObject<ShiftWorkRequestModel>{

	@Override
	public void execute(ShiftWorkRequestModel param) throws Exception {
		this.sendMessage("Processing GetShiftWork Api");
		ShiftWorkResponseModel response = new ShiftWorkResponseModel();
		this.setResultJson(response);
		try{
			WorkShiftManager wsManager = GetCdiInstance.of(WorkShiftManager.class);
			List<WorkShift> listWs = wsManager.findWorkShiftByCompanyid(param.getCompanyId());
			List<ShiftWorkModel> list = listWs.stream().map(ShiftWorkModel::fromEntiy).collect(Collectors.toList());
			response.setShiftList(list);
			
			this.setCommandState(CommandState.success);
		}catch(Exception e){
			MyLog.error(this , e);
			this.setCommandState(CommandState.fail);
		}
	}

}
