package com.csc.library.zeesecurity.api;

import com.csc.library.cdi.GetCdiInstance;
import com.csc.library.command.CommandObject;
import com.csc.library.request.CommandState;
import com.csc.library.status.StatusMessage;
import com.csc.library.utilities.MyLog;
import com.csc.library.zeesecurity.databean.entity.CaptureTimestamp;
import com.csc.library.zeesecurity.databean.manager.CaptureTimestampManager;
import com.csc.library.zeesecurity.request.CaptureTimestampRequestModel;
import com.csc.library.zeesecurity.response.StatusResponseModel;

public class SaveCaptureTimestampApi extends CommandObject<CaptureTimestampRequestModel>{

	@Override
	public void execute(CaptureTimestampRequestModel param) throws Exception {
		this.sendMessage("Processing SaveCaptureTimestamp Api");
		StatusResponseModel response = new StatusResponseModel();
		this.setResultJson(response);
		try{
			CaptureTimestampManager ctManager = GetCdiInstance.of(CaptureTimestampManager.class);
			CaptureTimestamp ct = ctManager.createInstance(param.getCompanyId());
			ct.setFullName(param.getFullName());
			ct.setImage(param.getCaptureImage());
			ct.setLatitude(param.getLatitude());
			ct.setLogitude(param.getLongitude());
			ct.setReason(param.getReason());
			ct.setSwipeDatetime(param.getSwipeDateTime());
			ct.setSwipeType(param.getSwipeType());
			
			StatusMessage sm = ctManager.save(ct);
			response.setSuccess(sm.isSuccess());
			response.setMessage(sm.getMessage());
			this.setCommandState(CommandState.success);
		}catch(Exception e){
			MyLog.error(this , e);
			this.setCommandState(CommandState.fail);
		}
	}

}
