package com.csc.library.zeesecurity.model;

import com.csc.library.cdi.GetCdiInstance;
import com.csc.library.download.HandleFileStoreUtilityDownloadUtil;
import com.csc.library.zeesecurity.databean.entity.CaptureTimestamp;

public class CaptureTimestampModel {
	private String fullName;
	private String companyId;
	private String captureImageUrl;
	private int swipeType;
	private String swipeDateTime;
	private String latitude;
	private String longitude;
	private String reason;
	private byte[] captureImage;
	
	public String getFullName() {
		return fullName;
	}
	public void setFullName(String fullName) {
		this.fullName = fullName;
	}
	public String getCompanyId() {
		return companyId;
	}
	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}
	public String getCaptureImageUrl() {
		return captureImageUrl;
	}
	public void setCaptureImageUrl(String captureImageUrl) {
		this.captureImageUrl = captureImageUrl;
	}
	public int getSwipeType() {
		return swipeType;
	}
	public void setSwipeType(int swipeType) {
		this.swipeType = swipeType;
	}
	public String getLatitude() {
		return latitude;
	}
	public void setLatitude(String latitude) {
		this.latitude = latitude;
	}
	public String getLongitude() {
		return longitude;
	}
	public void setLongitude(String longitude) {
		this.longitude = longitude;
	}
	public String getReason() {
		return reason;
	}
	public void setReason(String reason) {
		this.reason = reason;
	}
	public byte[] getCaptureImage() {
		return captureImage;
	}
	public void setCaptureImage(byte[] captureImage) {
		this.captureImage = captureImage;
	}
	public String getSwipeDateTime() {
		return swipeDateTime;
	}
	public void setSwipeDateTime(String swipeDatetime) {
		this.swipeDateTime = swipeDatetime;
	}
	
	public static CaptureTimestampModel fromEntity(CaptureTimestamp ct){
		CaptureTimestampModel m = new CaptureTimestampModel();
		m.setCompanyId(ct.getCompanyId());
		m.setFullName(ct.getFullName());
		m.setLatitude(ct.getLatitude());
		m.setLongitude(ct.getLogitude());
		m.setReason(ct.getReason());
		m.setSwipeDateTime(ct.getSwipeDatetime());
		m.setSwipeType(ct.getSwipeType());
		HandleFileStoreUtilityDownloadUtil utilDownload = GetCdiInstance.of(HandleFileStoreUtilityDownloadUtil.class);
		m.setCaptureImageUrl(utilDownload.getDownloadUrl(ct.getFilename()));
		return m;
		
	}
}
