package com.csc.library.zeesecurity.model;

import com.csc.library.cdi.GetCdiInstance;
import com.csc.library.download.HandleEmployeeDownloadUtil;
import com.csc.library.entity.CompanyEmployeeProfile;

public class EmployeeModel {
	private String	memberId;
	private String	companyId;
	private String	employeeCode;
	private String  lagacyCode;
	private String	departmentName;
	private String	positionName;
	private String	firstName;
	private String	lastName;
	private String	facePictureFileName;
	private String	profilePictureFileName;
	private String	bossMajorName;
	private String branchId;
	private String branchName;
	private FaceTemplateCommonModel	faceTemplate;
    
    
	public String getMemberId() {
		return memberId;
	}
	public void setMemberId(String memberId) {
		this.memberId = memberId;
	}
	public String getCompanyId() {
		return companyId;
	}
	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}
	public String getEmployeeCode() {
		return employeeCode;
	}
	public void setEmployeeCode(String employeeCode) {
		this.employeeCode = employeeCode;
	}
	public String getLagacyCode() {
		return lagacyCode;
	}
	public void setLagacyCode(String lagacyCode) {
		this.lagacyCode = lagacyCode;
	}
	public String getDepartmentName() {
		return departmentName;
	}
	public void setDepartmentName(String departmentName) {
		this.departmentName = departmentName;
	}
	public String getPositionName() {
		return positionName;
	}
	public void setPositionName(String positionName) {
		this.positionName = positionName;
	}
	public String getFirstName() {
		return firstName;
	}
	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}
	public String getLastName() {
		return lastName;
	}
	public void setLastName(String lastName) {
		this.lastName = lastName;
	}
	public String getFacePictureFileName() {
		return facePictureFileName;
	}
	public void setFacePictureFileName(String facePictureFileName) {
		this.facePictureFileName = facePictureFileName;
	}
	public String getProfilePictureFileName() {
		return profilePictureFileName;
	}
	public void setProfilePictureFileName(String profilePictureFileName) {
		this.profilePictureFileName = profilePictureFileName;
	}
	public String getBossMajorName() {
		return bossMajorName;
	}
	public void setBossMajorName(String bossMajorName) {
		this.bossMajorName = bossMajorName;
	}
	public String getBranchId() {
		return branchId;
	}
	public void setBranchId(String branchId) {
		this.branchId = branchId;
	}
	public String getBranchName() {
		return branchName;
	}
	public void setBranchName(String branchName) {
		this.branchName = branchName;
	}
	
	
	public FaceTemplateCommonModel getFaceTemplate() {
		return faceTemplate;
	}
	public void setFaceTemplate(FaceTemplateCommonModel faceTemplate) {
		this.faceTemplate = faceTemplate;
	}
	public static EmployeeModel fromEntity(CompanyEmployeeProfile e){
		HandleEmployeeDownloadUtil handle = GetCdiInstance.of(HandleEmployeeDownloadUtil.class);
		
		EmployeeModel m = new EmployeeModel();
		m.setMemberId(e.getMemberID());
		m.setCompanyId(e.getCompanyID());
		m.setEmployeeCode(e.getEmployeeCode());
		m.setLagacyCode(e.getLagacyCode());
		m.setDepartmentName(e.getDepartment());
		m.setPositionName(e.getPosition());
		m.setFirstName(e.getFirstName());
		m.setLastName(e.getLastName());
		m.setFacePictureFileName(handle.getDownloadUrlFacePicture(e));
		m.setProfilePictureFileName(handle.getDownloadUrlPictureMember(e));
		m.setBranchId(e.getBranchID());
		m.setBranchName(e.getBranchTname());
		
		FaceTemplateCommonModel templateModel = new FaceTemplateCommonModel();
		m.setFaceTemplate(templateModel);
		templateModel.setEnrollPhotoFileName(handle.getDownloadUrlFacePicture(e));
		
		templateModel.setEyesTemplate1FileName(handle.getDownloadUrlEyeTemplate1(e));
		templateModel.setEyesTemplate2FileName(handle.getDownloadUrlEyeTemplate2(e));
		templateModel.setEyesTemplate3FileName(handle.getDownloadUrlEyeTemplate3(e));
		
		templateModel.setFacialTemplate1FileName(handle.getDownloadUrlFacialTemplate1(e));
		templateModel.setFacialTemplate2FileName(handle.getDownloadUrlFacialTemplate2(e));
		templateModel.setFacialTemplate3FileName(handle.getDownloadUrlFacialTemplate3(e));
		return m;
	}
}
